## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMap.hpp File Reference

Include dependency graph for XalanMap.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- struct XalanMap::Entry
- class XalanHasher
- struct XalanHashMemberPointer
- struct XalanHashMemberReference
- class XalanMap
    Xalan implementation of a hashtable. More...
- struct XalanMapConstIteratorTraits
- struct XalanMapIterator
- struct XalanMapIteratorTraits
- struct XalanMapKeyTraits

## Defines

- #define XALANMAP_HEADER_GUARD_1357924680

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef size_t size_type

## Define Documentation

#define XALANMAP_HEADER_GUARD_1357924680

Value:

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef size_t size_type

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.